<?xml version="1.0" encoding="UTF-8"?>
<feature
      id="org.eclipse.papyrus.designer.transformation.main.feature"
      label="%featureName"
      version="3.1.0.qualifier"
      provider-name="%providerName">

   <description>
      A transformation based design methodology, part of Papyrus software designer (from which
      it inherits support for generating code for several programming languages). It is based on
- A M2M transformation profile
- A deployment profile
- A generic M2M transformation infrastructure providing for instance a generic lazy model copying mechanism. 
- A library of pre-defined M2M transformations (e.g. adding an additional class aka boot-loader that instantiates the system)
   </description>

   <copyright url="https://www.eclipse.org/legal/epl-2.0/">
      Copyright (c) CEA LIST
All rights reserved. This program and the accompanying materials
are made available under the terms of the Eclipse Public License
v2.0 which accompanies this distribution, and is available at
https://www.eclipse.org/legal/epl-2.0/
   </copyright>

   <license url="%licenseURL">
      %license
   </license>

   <requires>
      <import feature="org.eclipse.papyrus.designer.languages.common.feature"/>
      <import feature="org.eclipse.papyrus.designer.languages.cpp.feature"/>
      <import feature="org.eclipse.papyrus.designer.languages.java.feature"/>
      <import feature="org.eclipse.papyrus.marte.core.feature" version="1.2.2"/>
      <import plugin="org.eclipse.papyrus.marte.properties"/>
   </requires>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.base"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.core"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.extensions"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.languages.cpp.library"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.languages.java.library"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.library"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.profile"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.ui"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.vsl"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.deployment.profile"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.deployment.tools"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.export"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.deployment.validation"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.modellibs"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.deployment.profile.ui"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.profile.ui"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

</feature>
